Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.data.domain
Enum Sort.Direction

    java.lang.Object
      java.lang.Enum<Sort.Direction>
          org.springframework.data.domain.Sort.Direction

All Implemented Interfaces:
  Serializable, Comparable<Sort.Direction>

Enclosing class:
  Sort

    public static enum Sort.Direction

extends Enum<Sort.Direction>

Enumeration for sort directions.

Author:
  Oliver Gierke

Enum Constant Summary
`ASC`
`DESC`

Method Summary
`static Sort.Direction` | `fromString(String value)` Returns the `Sort.Direction` enum for the given `String` value.
`static Sort.Direction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Sort.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASC

    public static final Sort.Direction ASC

### DESC

    public static final Sort.Direction DESC

Method Detail

### values

    public static Sort.Direction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sort.Direction c : Sort.Direction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sort.Direction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromString

    public static Sort.Direction fromString(String value)

  Returns the `Sort.Direction` enum for the given `String` value.

  Parameters:
    `value` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.